ReferenceAPI referenceGithub
Configure an existing GitHub App
Validates the private key and encrypts all secret values before persistence.
PUT
/organizations/{organization_id}/github-appValidates the private key and encrypts all secret values before persistence.
AuthorizationBearer <token>
Operator-provided one-time bootstrap token.
In: header
Path Parameters
organization_id*string
Length
1 <= length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/organizations/string/github-app" \ -H "Content-Type: application/json" \ -d '{ "github_app_id": 1, "github_app_slug": "string", "client_id": "string", "client_secret": "string", "private_key": "string", "webhook_secret": "string" }'{ "data": { "id": 0, "slug": "string", "client_id": "string" }}